Solved

Shopify App template Error

Pankaj_Patidar
Shopify Partner
4 0 2

When I building the app using the following command : npm init @Shopify/app@latest -- --template --node 
I am getting the below error, I that mean shopify from now don't support other templates apart from remix?

Pankaj_Patidar_0-1701846035233.png

 

Accepted Solution (1)

Kai33
Excursionist
18 1 2

This is an accepted solution.

Hey i found the solution! Use this command:

npm init @shopify/app@latest -- --template=node

 

View solution in original post

Replies 8 (8)

Sunil-Kumar
Excursionist
14 1 1

Shopify has changed the app template you need to work with Remix now.

SK

Kai33
Excursionist
18 1 2

Maybe it's because you capitalized "Shopify":  @Shopify/app@latest

Try with this command:

 

npm init @shopify/app@latest -- --template --node 

 

 

Pankaj_Patidar
Shopify Partner
4 0 2

Pankaj_Patidar_0-1702652334699.png

Getting same error.

Kai33
Excursionist
18 1 2

Yeah i tested it now, it seems like shopify completely removed support to any template that isn't remix 😰, i wonder if this is something definitive.

Sunil-Kumar
Excursionist
14 1 1

You can build a Shopify app in any other language but but it needs to match upto Shopify standard and requirements.

SK

Kai33
Excursionist
18 1 2

This is an accepted solution.

Hey i found the solution! Use this command:

npm init @shopify/app@latest -- --template=node

 

Pankaj_Patidar
Shopify Partner
4 0 2

But its npm init @shopify/app@latest -- --template=node

Kai33
Excursionist
18 1 2

Ah thank you @Pankaj_Patidar , i will edit it, seems like the text editor detected it as a mention.